# Server Info REST API Guide

## Get server info

> Get detailed information about the Fiddler server.

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"server-info-v3","description":"Endpoints related to retrieving server information"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"ApiResponse":{"type":"object","description":"Response object for standard API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version.\n"},"kind":{"type":"string","default":"NORMAL","enum":["NORMAL"],"description":"Type of response, indicating a normal response.\n"}}},"ServerInfoResponse":{"type":"object","properties":{"server_version":{"type":"string","description":"The version of the Fiddler server."},"feature_flags":{"type":"object","properties":{"fairness":{"type":"boolean","description":"Indicates if the fairness feature is enabled on the server."},"enable_rca_performance_tab_ui":{"type":"boolean"},"enable_rca_analyze_tab_ui":{"type":"boolean"},"enable_webhooks_ui":{"type":"boolean"},"enable_unity_analyze_charts_ui":{"type":"boolean"},"enable_xai_umap":{"type":"boolean"},"enable_deckgl_ui":{"type":"boolean"},"enable_ml_model_health_page_ui":{"type":"boolean"},"enable_llm_applications_page_ui":{"type":"boolean"},"enable_dashboard_markdown_ui":{"type":"boolean"},"enable_deckgl_advanced_selection_ui":{"type":"boolean"},"enable_evals":{"type":"boolean"},"enable_llm_gateway_ui":{"type":"boolean"},"enable_unity_monitoring_charts_ui":{"type":"boolean"},"enable_model_metrics_api":{"type":"boolean"},"enable_dimensionality_reduction_api":{"type":"boolean"},"enable_posthog":{"type":"boolean"},"enable_model_updates":{"type":"boolean"},"enable_add_model_ui":{"type":"boolean"},"enable_intercom_users":{"type":"boolean"},"enable_freemium_guardrails":{"type":"boolean"},"enable_service_provider_authn":{"type":"boolean"},"enable_dashboard_viewer_access":{"type":"boolean"}}},"organization":{"$ref":"#/components/schemas/OrganizationCompact"}}},"OrganizationCompact":{"type":"object","title":"OrganizationCompact","description":"Compact version of an organization which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the organization.\n"},"name":{"type":"string","description":"Name of the organization.\n"}}},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/server-info":{"get":{"tags":["server-info-v3"],"summary":"Get server info","description":"Get detailed information about the Fiddler server.","operationId":"getServerInfoV3","responses":{"200":{"description":"Server information retrieved successfully.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ServerInfoResponse"}}}]}}}},"400":{"$ref":"#/components/responses/400"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/rest-api/rest-api/server-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
